Bug 343 - winbind panic in unix_strupper
winbind panic in unix_strupper
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.0preX
All Linux
: P3 normal
: 3.0.0rc2
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 01:32 UTC by Waider
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Waider 2003-08-25 01:32:09 UTC
Just found this after winbind vanished unexpectedly:

[2003/08/25 08:32:15, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(~Z/�^L~W)
[2003/08/25 08:32:15, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/25 08:32:15, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 12 stack frames:
   #0 winbindd(smb_panic+0x141) [0x80ad8a1]
   #1 winbindd(unix_strupper+0x30) [0x809da90]
   #2 winbindd(strupper_m+0x4e) [0x80a809e]
   #3 winbindd [0x8074dc9]
   #4 winbindd(winbindd_lookup_sid_by_name+0x59) [0x8071d09]
   #5 winbindd(winbindd_getpwnam+0x24e) [0x806d982]
   #6 winbindd(ber_scanf+0x6c0) [0x806c494]
   #7 winbindd(winbind_process_packet+0x1d) [0x806c74d]
   #8 winbindd(strftime+0x1cb0) [0x806cf84]
   #9 winbindd(main+0x47a) [0x806d4d6]
   #10 winbindd(__libc_start_main+0x95) [0x42017589]
   #11 winbindd(ldap_msgfree+0x5d) [0x806be51]

Note, I'm not aware of any UCS-requiring characters in any of the domains this
daemon talks to.
Comment 1 Waider 2003-08-25 01:38:02 UTC
Aha, this happens when getent passwd ~Z/�^L~W is called. So at least I
know how to avoid it.
Comment 2 Gerald (Jerry) Carter 2003-08-25 09:32:21 UTC
Is this against CVS?  or RC1?
Comment 3 Waider 2003-08-25 12:22:33 UTC
rc1 - I'm being a good little beta tester and not testing against bleeding edge
CVS :-) It's build with the default options in the packaging/RedHat spec file,
except I've added ACLs.
Comment 4 Gerald (Jerry) Carter 2003-08-25 13:46:24 UTC
Would you mind building the latest SAMBA_3_0 cvs 
tree and see if the crash still occurs?
Comment 5 Rainer Hussmann 2003-08-26 06:51:30 UTC
winbindd crashes on german characters like öäü.

It's a serious problem because the group "domain users" is called
"Domänenbenutzer" in german.
Something like 'wbinfo -n Domänenbenutzer' crashes winbindd instantly.
getent passwd works without any problems.

logfile after calling wbinfo -n Domänenbenutzer

[2003/08/26 15:52:25, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(ä)
[2003/08/26 15:52:25, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/26 15:52:25, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 12 stack frames:
   #0 /usr/local/samba/sbin/winbindd(smb_panic+0x1c7) [0x80bcfc6]
   #1 /usr/local/samba/sbin/winbindd(unix_strupper+0x2e) [0x80a7437]
   #2 /usr/local/samba/sbin/winbindd(strupper_m+0x76) [0x80b537b]
   #3 /usr/local/samba/sbin/winbindd [0x807619c]
   #4 /usr/local/samba/sbin/winbindd(winbindd_lookup_sid_by_name+0x6f) [0x807266
1]
   #5 /usr/local/samba/sbin/winbindd(winbindd_lookupname+0x148) [0x8078c7d]
   #6 /usr/local/samba/sbin/winbindd(strftime+0x1136) [0x806bafe]
   #7 /usr/local/samba/sbin/winbindd(winbind_process_packet+0x27) [0x806be8f]
   #8 /usr/local/samba/sbin/winbindd(strftime+0x1eea) [0x806c8b2]
   #9 /usr/local/samba/sbin/winbindd(main+0x53c) [0x806ced8]
   #10 /lib/libc.so.6(__libc_start_main+0xce) [0x400d28ae]
   #11 /usr/local/samba/sbin/winbindd(strcpy+0x39) [0x806b3b1]

Version 3.0.0rc1 running on Suse Linux 8.2
Comment 6 Waider 2003-08-27 04:00:50 UTC
Ok, seems to be fixed in SAMBA_3_0 CVS
Comment 7 Gerald (Jerry) Carter 2003-08-27 13:02:44 UTC
Ron says ok :-)
Comment 8 Gerald (Jerry) Carter 2005-02-07 09:05:07 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 9 Gerald (Jerry) Carter 2005-08-24 10:15:34 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 10 Gerald (Jerry) Carter 2005-11-14 09:24:17 UTC
database cleanup